OPENJAZZ(6)

NAME
OpenJazz - Jack Jazzrabbit 1 game engine reimplementation

SYNOPSIS

OpenJazz [options] <game directory 1> <game directory 2>

DESCRIPTION

OpenJazz is a free, open-source version of the classic Jazz Jackrabbit PC platform games.
To play, you will need original data files.

OPTIONS

-h, --help
    Display command line flags and general help.

-v, --version
    Display engine version.

-f, --fullscreen
    Start in fullscreen mode.

--window
    Start in window mode.

-m
    Start with muted audio.

-s, --scale[=] <Factor>
    Scale window by factor. Can be between 1 and 4.

-w, --world[=] <World> -l, --level[=] <Level>
    Directly load specific world/level.

-q, --[no-]quiet
    Enable/Disable console logging.

--verbose[=] <Debug Level>
    Set logging verbosity. Can be one of max, trace, debug, info, warn, error, fatal.

FILES

openjazz.cfg
    The configuration file.

    Note

    Command line parameters will take precedence over values in the configuration file

openjazz.log
    The generated logfile.

Game Data
    OpenJazz should be compatible with all released versions of Jazz Jackrabbit 1.
    This includes the Shareware Episodes, "Holiday Hare" and "Holiday Hare '95", the "Jazz Jackrabbit CD" with "The Lost Episodes" and the "Complete" edition.

INGAME CONTROLS

Fixed Controls
    Key(s) | Purpose
    Enter | Choose a menu option
    Escape | Go back to the previous menu
    F9 | View in-game statistics (e.g. FPS)
    P | Pause the game
    Alt + Enter | Switch between full-screen and windowed mode
    1-5 | Switch weapon to Blaster, Toaster, Missile, Bouncer or TNT respectively. If the desired weapon is not available, try next.

Configurable Controls
    These are configurable via the "setup options" menu. Default settings:
    Key(s) | Purpose
    Left arrow and Right arrow | Move left and right
    Space bar | Jump/Swim upwards
    left Alt | Shoot
    right Ctrl | Change weapon

    Important

    Under Windows the Jump and Shoot keys are moved to the right to avoid opening the window context menu. That means Space bar ⇒ Shoot and right Alt ⇒ Jump/Swim upwards. Other platforms may have other defaults.

Game Controllers
    Most game controllers and joysticks that SDL recognizes can be used.
    However, not all axes or buttons may be available. Needs manual settings.

REPORTING BUGS

Bugs can be reported at the

SEE ALSO

J1E - level editor by Newspaz, JJ1MOD - graphic editor by Doubble Dutch

AUTHORS

AJ Thomson (AlisterT)
    Engine, project lead

Alireza Nejati
    Menu plasma effect

newspaz
    Bug fixes, enemy improvements

Carsten Teibes (carstene1ns)
    Maintenance, bug fixes, documentation
    Integrating the ports (Wii, 3DS, PSP, PSVita, SDL2, ...)
    Additional coding (logger, CLI, ...)
    Modernizing
    UI improvements

Lars Persson (anotherguest)
    Movie playback fixes

CYBERDEViL
    Savegame algorithm

Scott Smith (Pickle)
    GP2X/WIZ, Canoo, Pandora ports

Przemysław Buczkowski (przemub)
    Android, Haiku ports

Matthieu Milan (usineur)
    PSVita port

deniska
    PSP port

tehpola
    Wii port

pocketinsanity
    PocketPC port

Ricerind
    Mac OS X port

Slaanesh
    GP32 port

GPF
    Dreamcast port

Cameron Cawley (ccawley2011)
    RISC OS, SDL2 port

midzer
    Web port